Bug 238747 - Laptop with external laptop attached boots with random resolutions
Laptop with external laptop attached boots with random resolutions
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-02 15:11 EDT by Valent Turkovic
Modified: 2008-01-14 09:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 09:09:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (66.93 KB, text/plain)
2007-05-30 05:50 EDT, Valent Turkovic
no flags Details
xorg.conf-external-booted-to-800_600 (801 bytes, application/octet-stream)
2007-05-30 05:51 EDT, Valent Turkovic
no flags Details
Xorg.0.log.autodetected (70.00 KB, application/octet-stream)
2007-05-30 06:00 EDT, Valent Turkovic
no flags Details

  None (edit)
Description Valent Turkovic 2007-05-02 15:11:58 EDT
Description of problem:
I have IBM Thinkpad R52 that has monitor with 1024x768 resolution and I have
external Samsung 19" LCD monitor capable of running 1280x1024 resolution.

I boot Fedora Core 6 that is always up-to date with the latest updates, I switch
laptop to external display and disable internal display. Laptop boots to random
resolutions, usually to 800x600 (which is unusable!), sometimes to 1024x768 and
once it booted to 1280x1024!

Why is this happening? I didn't change anything in xorg setup or config files so
it is as the same as it was installed.

Version-Release number of selected component (if applicable):
Fedora Core 6 with all updates (I update regularly)

How reproducible:
Every time.

Steps to Reproduce:
1. Install Fedora Core 6
2. Connect external monitor to laptop
3. Disable internal monitor, enable external monitor
4. Boot Fedora, look at the strange resolution...
  
Actual results:
Laptop boots usually with 800x600 resolution, so I have to unplug eternal
monitor, reboot the laptop and when it boots with 1024x768 resolution I plug in
the external monitor and change display device from internal to external monitor.

Expected results:
Fedora to enable full resolution on my external monitor (1280x1024) or at least
to clone resolution of internal display (1024x768) and not to boot with unusable
resolution of 800x600.

Additional info:
If I can help you fix this but just say what do I need to do.
Thank you in advance.
Comment 1 Matěj Cepl 2007-05-28 11:45:51 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Valent Turkovic 2007-05-30 05:50:01 EDT
Created attachment 155664 [details]
Xorg.0.log

I shutdown the laptop, connect external 19" samsung screen and power on the
laptop. Only the external screen is on by default and when fedora 6 boots-up I
end up with 800x600 resolution! :( Sometimes it is 1024x768 and only once it
booted to monitor's native 1280x1024 resolution
Comment 3 Valent Turkovic 2007-05-30 05:51:48 EDT
Created attachment 155665 [details]
xorg.conf-external-booted-to-800_600

xorg.conf with laptop booting to 800x600 resolution.

I'm going to backup xorg.conf and remove it and send you the results you asked
for.
Comment 4 Valent Turkovic 2007-05-30 06:00:48 EDT
Created attachment 155667 [details]
Xorg.0.log.autodetected

Whis is Xorg.0.log with removed /etc/X11/xorg.conf
Comment 5 Valent Turkovic 2007-05-30 06:01:51 EDT
Even with removed /etc/X11/xorg.conf with autodetect I get only 800x600 resolution!
Comment 6 Valent Turkovic 2007-07-09 11:19:58 EDT
Can you please tell me if you are looking at this bug? I would like to help fix
this bug but soon I'll be switching to Fedora 7 or wait for Fedora 8.

Are you also waiting for Fedora 8 and not even looking at this bug?
Comment 7 Adam Jackson 2007-07-09 11:32:44 EDT
This ought to be significantly improved in F7 with the intel driver.
Comment 8 Valent Turkovic 2007-07-09 13:52:14 EDT
I backed up my xorg.conf file and then I felt safe enough to play around with
the settings.

I started system-config-display and changed video driver from i810 to intel. Now
laptop boots to 1024x768 on both screens.

But I still can't force X to boot to 1280x1024 or to be precise it desktop
switches to 1280x1024 resolution but both screens stay at 1024x768 resolution so
I can pan around this biger desktop but that is not usable.

So what you are saying is that i810 driver is being abandoned and intel driver
is taking it's place?

Can you point me to some much needed resources for howto setup my external
monitor to switch to 1280x1024 resolution - or even better how to setup dualscreen. 

Setting up dual-screen with system-config-display doesn't work - it produces non
workable xorg.conf files that freeze the system. I tries setting it up and it
creates videocard0 with driver "intel" and videocard1 with driver "vesa" ?!? Why?
Comment 9 Matěj Cepl 2007-07-10 09:00:27 EDT
I am not sure, whether I would characterize i810 driver as abandoned, but
certainly the main effort of Keith Packard & co. is focused on intel driver.

For the rest, I will pass this bug to developers.
Comment 10 Adam Jackson 2007-07-10 09:48:04 EDT
(In reply to comment #8)

> So what you are saying is that i810 driver is being abandoned and intel driver
> is taking it's place?

Yes.

> Can you point me to some much needed resources for howto setup my external
> monitor to switch to 1280x1024 resolution - or even better how to setup
dualscreen. 

What does the 'xrandr' tool report for this monitor configuration?

> Setting up dual-screen with system-config-display doesn't work - it produces non
> workable xorg.conf files that freeze the system. I tries setting it up and it
> creates videocard0 with driver "intel" and videocard1 with driver "vesa" ?!? Why?

Because system-config-display hasn't been fixed yet.
Comment 11 Valent Turkovic 2007-07-17 02:56:22 EDT
$ xrandr 
 SZ:    Pixels          Physical       Refresh
*0   1024 x 768    ( 382mm x 300mm )  *60  
Current rotation - normal
Current reflection - none
Rotations possible - normal left inverted right 
Reflections possible - none


do you need any other feedback from me? I'm happy to help fix bugs :)
Comment 12 Matěj Cepl 2007-07-17 07:59:45 EDT
xrandr -q 
would be helpful
Comment 13 Valent Turkovic 2007-07-17 09:56:51 EDT
here you go:

$ xrandr -q
 SZ:    Pixels          Physical       Refresh
*0   1024 x 768    ( 382mm x 300mm )  *60  
Current rotation - normal
Current reflection - none
Rotations possible - normal left inverted right 
Reflections possible - none

ps. I don't see any difference with "-q" parameter.
Comment 14 Valent Turkovic 2007-07-17 09:58:07 EDT
$ xrandr --verbose
 SZ:    Pixels          Physical       Refresh
*0   1024 x 768    ( 382mm x 300mm )  *60  
Current rotation - normal
Current reflection - none
Rotations possible - normal left inverted right 
Reflections possible - none
Setting size to 0, rotation to normal
Setting reflection on neither axis

$ xrandr --version
Server reports RandR version 1.1
Comment 15 Matěj Cepl 2007-12-10 04:24:52 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 16 Jesse Barnes 2008-01-10 17:16:58 EST
Hm, yeah the latest driver shouldn't have this problem.  There are some config 
options that might affect this though, depending on your configuration:
  - the 'virtual' directive in your xorg.conf Screen section
    needs to be big enough to handle the largest desktop you want to handle
    (e.g. width of crt + width of laptop by max(height of crt, height of 
laptop for a 'side by side' configuration)
  - the driver may be failing to get EDID info from your monitor
    the log should show this.

So please try with the latest driver bits and confirm your virtual setting.  
Attach the log if the bug still occurs.
Comment 17 Valent Turkovic 2008-01-12 15:57:56 EST
I'm now using intel driver and not i810. Is this new i810 driver available for
FC6 or only on Fedora 8?
Comment 18 Matěj Cepl 2008-01-14 06:09:16 EST
I think he talks about intel drvier; i810 is really almost dead.
Comment 19 Valent Turkovic 2008-01-14 08:04:29 EST
well i810 is the default driver on Fedora Core 6, and I filed a bug for i810.
I switched to intel driver a long time a go and I don't see this bug with intel
driver.

If you like please close the bug.
Comment 20 Matěj Cepl 2008-01-14 09:09:59 EST
OK, thanks for letting us know (yes, the package which brings intel driver is
still called i810; that might be the bad thing, but we haven't made it so).

Note You need to log in before you can comment on or make changes to this bug.